Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 401153002: Switch to BoringSSL. (Closed)

Created:
6 years, 3 months ago by davidben
Modified:
6 years, 3 months ago
Reviewers:
agl, jam
CC:
chromium-reviews, darin-cc_chromium.org, cbentzel+watch_chromium.org, jam, android-webview-reviews_chromium.org, chromoting-reviews_chromium.org
Project:
chromium
Visibility:
Public.

Description

Switch to BoringSSL. This is a reland of r284079 which was reverted in r284248 for components build issues. That, in turn, was a reland of r283813 which was reverted in r283845 because it broke WebRTC tests on Android. That, in turn, was a reland of r283542 which was reverted in r283591 because it broke the WebView build. This is a much larger change than its diff suggests. If it breaks something, please revert first and ask questions later. BUG=393317 R=agl@chromium.org, jam@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=284729

Patch Set 1 #

Patch Set 2 : Fix Linux x86-64 components build #

Patch Set 3 : Turn on OpenSSL everywhere to see what happens (okay, that didn't work...) #

Patch Set 4 : Back to sanity (try jobs on patch set 2) #

Patch Set 5 : No -Bsymbolic on Mac. #

Patch Set 6 : #

Patch Set 7 : rsa_key_openssl.cc #

Patch Set 8 : Generate assembly with -fPIC on x86. (first set of trys had bad -r param) #

Patch Set 9 : rebase (try jobs on patch set 8. does not appear anything has changed) #

Patch Set 10 : DEPS rejigger per https://codereview.chromium.org/398543003/ comment #

Patch Set 11 : content/zygote/DEPS not needed to begin with. #

Patch Set 12 : Rebase across DEPS change #

Unified diffs Side-by-side diffs Delta from patch set Stats (+725 lines, -893 lines) Patch
M DEPS View 1 2 3 4 5 6 7 8 9 10 11 3 chunks +3 lines, -3 lines 0 comments Download
M android_webview/buildbot/deps_whitelist.py View 1 chunk +1 line, -0 lines 0 comments Download
M android_webview/native/webview_native.gyp View 1 chunk +1 line, -1 line 0 comments Download
M build/linux/system.gyp View 1 chunk +1 line, -1 line 0 comments Download
M build/linux/unbundle/replace_gyp_files.py View 1 chunk +1 line, -1 line 0 comments Download
M chrome/chrome_browser_ui.gypi View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1 line, -1 line 0 comments Download
M chrome/chrome_common.gypi View 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/net/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M content/child/webcrypto/openssl/aes_gcm_openssl.cc View 2 chunks +23 lines, -20 lines 0 comments Download
M content/child/webcrypto/openssl/rsa_key_openssl.cc View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M content/content_child.gypi View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M content/zygote/zygote_main_linux.cc View 2 chunks +8 lines, -3 lines 0 comments Download
M crypto/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M crypto/crypto.gyp View 2 chunks +2 lines, -2 lines 0 comments Download
M crypto/crypto_nacl.gyp View 1 chunk +1 line, -1 line 0 comments Download
M crypto/encryptor_openssl.cc View 2 chunks +2 lines, -3 lines 0 comments Download
M crypto/openssl_bio_string_unittest.cc View 1 chunk +0 lines, -7 lines 0 comments Download
M crypto/openssl_util.cc View 3 chunks +5 lines, -3 lines 0 comments Download
M crypto/rsa_private_key_openssl.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M crypto/scoped_openssl_types.h View 1 chunk +1 line, -0 lines 0 comments Download
M crypto/signature_verifier_openssl.cc View 3 chunks +11 lines, -4 lines 0 comments Download
M google_apis/google_apis.gyp View 1 chunk +1 line, -1 line 0 comments Download
M net/BUILD.gn View 6 chunks +5 lines, -9 lines 0 comments Download
M net/android/keystore_openssl.cc View 12 chunks +260 lines, -451 lines 0 comments Download
M net/android/keystore_unittest.cc View 5 chunks +1 line, -156 lines 0 comments Download
M net/cert/cert_verify_proc_openssl.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M net/cert/x509_certificate_openssl.cc View 4 chunks +10 lines, -17 lines 0 comments Download
M net/http/des.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M net/net.gyp View 8 chunks +7 lines, -12 lines 0 comments Download
M net/net_nacl.gyp View 1 chunk +1 line, -1 line 0 comments Download
M net/quic/crypto/aead_base_decrypter_openssl.cc View 1 chunk +3 lines, -6 lines 0 comments Download
M net/quic/crypto/aead_base_encrypter_openssl.cc View 1 chunk +12 lines, -8 lines 0 comments Download
M net/socket/openssl_ssl_util.cc View 3 chunks +6 lines, -4 lines 0 comments Download
M net/socket/ssl_client_socket_openssl.cc View 11 chunks +12 lines, -13 lines 0 comments Download
M net/socket/ssl_server_socket_openssl.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/socket/ssl_session_cache_openssl_unittest.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M net/tools/flip_server/acceptor_thread.cc View 1 chunk +1 line, -0 lines 0 comments Download
M net/tools/flip_server/spdy_ssl.cc View 2 chunks +2 lines, -0 lines 0 comments Download
M remoting/host/token_validator_base.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M remoting/remoting_nacl.gyp View 4 chunks +4 lines, -4 lines 0 comments Download
A third_party/boringssl/BUILD.gn View 1 2 3 4 1 chunk +76 lines, -0 lines 0 comments Download
M third_party/boringssl/boringssl.gyp View 1 2 3 4 2 chunks +14 lines, -1 line 0 comments Download
A third_party/boringssl/boringssl_nacl.gyp View 1 chunk +50 lines, -0 lines 0 comments Download
M third_party/boringssl/boringssl_tests.gypi View 1 chunk +45 lines, -34 lines 0 comments Download
M third_party/boringssl/boringssl_unittest.cc View 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/boringssl/linux-x86/crypto/aes/aes-586.S View 1 2 3 4 5 6 7 4 chunks +4 lines, -4 lines 0 comments Download
M third_party/boringssl/linux-x86/crypto/aes/aesni-x86.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/linux-x86/crypto/aes/vpaes-x86.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/linux-x86/crypto/bn/bn-586.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/linux-x86/crypto/bn/co-586.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/linux-x86/crypto/bn/x86-mont.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/linux-x86/crypto/cpu-x86-asm.S View 1 2 3 4 5 6 7 8 chunks +43 lines, -34 lines 0 comments Download
M third_party/boringssl/linux-x86/crypto/md5/md5-586.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/linux-x86/crypto/modes/ghash-x86.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/linux-x86/crypto/rc4/rc4-586.S View 1 2 3 4 5 6 7 10 chunks +48 lines, -39 lines 0 comments Download
M third_party/boringssl/linux-x86/crypto/sha/sha1-586.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/linux-x86/crypto/sha/sha256-586.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/linux-x86/crypto/sha/sha512-586.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/mac-x86/crypto/aes/aes-586.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/mac-x86/crypto/aes/aesni-x86.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/mac-x86/crypto/aes/vpaes-x86.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/mac-x86/crypto/bn/bn-586.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/mac-x86/crypto/bn/co-586.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/mac-x86/crypto/bn/x86-mont.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/mac-x86/crypto/cpu-x86-asm.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/mac-x86/crypto/md5/md5-586.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/mac-x86/crypto/modes/ghash-x86.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/mac-x86/crypto/rc4/rc4-586.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/mac-x86/crypto/sha/sha1-586.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/mac-x86/crypto/sha/sha256-586.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/mac-x86/crypto/sha/sha512-586.S View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/update_gypi_and_asm.py View 1 2 3 4 5 6 7 4 chunks +10 lines, -9 lines 0 comments Download
M third_party/libjingle/libjingle.gyp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/libjingle/libjingle_nacl.gyp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/usrsctp/usrsctp.gyp View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 5 (0 generated)
davidben
This is a merger of the previous iteration, along with https://codereview.chromium.org/404613002/ https://codereview.chromium.org/401943002/ https://codereview.chromium.org/398543003/ keystore_openssl.cc fixes ...
6 years, 3 months ago (2014-07-20 05:58:07 UTC) #1
agl
LGTM. (Don't wait for me to LGTM everything - the only sane solution is to ...
6 years, 3 months ago (2014-07-20 12:29:15 UTC) #2
davidben
On 2014/07/20 12:29:15, agl wrote: > LGTM. > > (Don't wait for me to LGTM ...
6 years, 3 months ago (2014-07-21 16:44:46 UTC) #3
jam
lgtm for content and chrome
6 years, 3 months ago (2014-07-22 16:54:38 UTC) #4
davidben
6 years, 3 months ago (2014-07-22 18:20:49 UTC) #5
Message was sent while issue was closed.
Committed patchset #12 manually as r284729.

Powered by Google App Engine
This is Rietveld 408576698